--[[

	---------------------------------------------
	GidHelix
	a simple game made to test and learn 
	Gideros SDK Power and Lua coding.
	
	Coded By Gianluca D'Angelo Copyright (C) 2012
	contact: gregbug@gmail.com
	THIS PROGRAM IS FREEWARE
	
	L'Aquila, 15 Gennaio 2012
	---------------------------------------------
	MODULE: MAIN CODE
	---------------------------------------------
	OK
--]]

-- SOME GLOBALS ;) --

eliBirdCollision		= false														-- collision beetwen eli and birds ?
AttachBox				= false														-- need to attach a bomb? (was a box...:)
bombAttached			= nil														-- pointer to the bomb to attach (was a box)
powerAttached			= nil
transportJoint			= nil														-- physic joint to transport....
isGameOver 				= false
biTouch					= false 
lowfilter				= 0.3
fdt						= 0															-- Filtered delta time
explodeBombforCollision = nil

eliPower				= 100														-- power (healt) of eli... 
eliDeath				= 0															-- when the player death
eliDamage				= 10															-- amount of damage if collide with bird
alarmPlayng				= false
PlayerScore				= 0															-- Player score...
gameTime				= 0															-- Game Time ....

GameLevel				= 3															-- Game Level
MaxBirds				= 2															-- Max birds for level
bombLeft				= 6															-- how many bombs to save?
BombsToSave 			= 3
BombsSaved 				= 0

BombTime				= 25
bombCountDown	    	= BombTime
BombTimePTS				= 0

txtFPS					= 0
txtHealt				= 0															-- Healt of eli...
txtBombs				= 0															-- bombs to collect...
txtScore				= 0															-- player score...
txtTime					= 0															-- txt Time
txtBombSaved			= 0

playTime				= 0															-- game time in seconds.
bombIsIn				= nil														-- bomb to explode..
evntSTOP 				= Event.new("stopevents")

sndEliChannel			= nil
sndSFXChannel			= nil
sndClockChannel			= nil
sndEliAlarm				= nil
musicChannel            = nil

require "box2d"																		-- this game requre box2d phusics module...
b2.setScale(30)																		-- our world scale...

application:setOrientation(Application.PORTRAIT)
application:setKeepAwake(true)														-- screen is kept awake.
application:setBackgroundColor(0x000000)											-- set black background
math.randomseed(os.timer())															-- randomize on os.timer

--local file = io.open("|D|starter", "w") 
	--		file:write("1")
		--	file:close()
-------------------------
-- Load and init GFX's --
-------------------------
	bgMainMenu		= Bitmap.new(Texture.new("gfx/mainmenu.png"))					-- load main menu background
	bgInGame		= Bitmap.new(Texture.new("gfx/sfondo1.png"))					-- load ingame background
	bgLevel			= Bitmap.new(Texture.new("gfx/changelevel.png"))				-- load change level background
	btnTextGFX		= TexturePack.new("gfx/scritte.txt", "gfx/scritte.png")			-- load all the gfx text (mainmenu and in-game text)
	ingameGFX		= TexturePack.new("gfx/ingamegfx.txt", "gfx/ingamegfx.png")		-- load in game gfx (biords, bugghy, eli) in texture pack
	sprHowto		= Bitmap.new(Texture.new("gfx/howto.png"))						-- load how to gfx
	sprAbout		= Bitmap.new(Texture.new("gfx/about.png"))						-- load about gfx
	sprGameOver		= Bitmap.new(Texture.new("gfx/gameover.png"))					-- load gameover gfx
	font 			= Font.new("gfx/contact.txt", "gfx/contact.png")
	font2 			= Font.new("gfx/8bit.txt", "gfx/8bit.png")
	font3			= Font.new("gfx/level.txt", "gfx/level.png")
--------------
-- Load SFX --
--------------
	sfx_eli1			= Sound.new("sfx/eli_1.wav")
	sfx_eli2			= Sound.new("sfx/eli_2.wav")
	sfx_bIn				= Sound.new("sfx/bombin.wav")
	sfx_eliExplosion 	= Sound.new("sfx/eliexplosion.wav")
	sfx_sbattibomba 	= Sound.new("sfx/sbattibomba.wav")
	sfx_attachbomb	 	= Sound.new("sfx/attachbomb.wav")
	sfx_evilbird	 	= Sound.new("sfx/evilbird.wav")
	sfx_tap	 			= Sound.new("sfx/tap.wav")
	sfx_alarm 			= Sound.new("sfx/alarm.wav")
	sfx_lasciabomba		= Sound.new("sfx/lasciabomba.wav")
	sfx_clock    		= Sound.new("sfx/clock.wav")

	mus_menumusic		= Sound.new("music/menumusic.mp3")
	mus_ingame			= Sound.new("music/ingame.mp3")
	mus_level			= Sound.new("music/level.mp3")

stage:addChild(CMainMenu.new())														-- Let's Start the Game! ;)



