power_up = gideros.class(Sprite)

function power_up:init()
-- setup animations...
	self.powerAnimFrames = {
		Bitmap.new(ingameGFX:getTextureRegion("powerup1.png")),
		Bitmap.new(ingameGFX:getTextureRegion("powerup2.png")),
		Bitmap.new(ingameGFX:getTextureRegion("powerup3.png")),
		Bitmap.new(ingameGFX:getTextureRegion("powerup4.png")),
		Bitmap.new(ingameGFX:getTextureRegion("powerup5.png")),
		Bitmap.new(ingameGFX:getTextureRegion("powerup6.png")),
		Bitmap.new(ingameGFX:getTextureRegion("powerup7.png")),
		Bitmap.new(ingameGFX:getTextureRegion("powerup8.png")),
		Bitmap.new(ingameGFX:getTextureRegion("powerup9.png"))
	}
	
	self.powerAnimation = MovieClip.new{
		{1, 5, self.powerAnimFrames[1]},				
		{6, 11, self.powerAnimFrames[2]},				
		{12, 17, self.powerAnimFrames[3]},				-- EXPLOSION animation
		{18, 23, self.powerAnimFrames[4]},				-- EXPLOSION animation
		{24, 29, self.powerAnimFrames[5]},				-- EXPLOSION animation
		{30, 35, self.powerAnimFrames[6]},				-- EXPLOSION animation
		{36, 41, self.powerAnimFrames[7]},				-- EXPLOSION animation
		{42, 47, self.powerAnimFrames[8]},				-- EXPLOSION animation
		{48, 53, self.powerAnimFrames[9]}				-- EXPLOSION animation
	}
	
	self.powerAnimation:setGotoAction(53, 1)			-- Normal Speed Animation
	
	--------------------------------------
	-- Create Elicopter
	--------------------------------------
	self.body = world:createBody
	{
		type=b2.DYNAMIC_BODY, 
		position = {x = math.random(10, application:getLogicalWidth()-10), y = -10},
		fixedRotation = false,
  	}

	self.body.name = "power"

	self.powershape = b2.CircleShape.new(11,11,10)
	
	self.body:createFixture
	{
		shape = self.powershape, 
		density = 1, 
		restituition = 0.4, 
		friction = 0.3 
	}
	
	self.powerAnimation.body = self.body
	--self.body.sprite = self.powerAnimation
	self.body.sprite = self:addChild(self.powerAnimation)
	self.powerAnimation:gotoAndPlay(1)
end
